﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "HorizLine 클래스 : Stairs 속성을 사용해 계단형 수평 라인 차트 만들기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            HorizLine horizArea = new HorizLine(this.tChart.Chart);

            horizArea.Stairs          = true;
            horizArea.Pointer.Visible = true;

            horizArea.FillSampleValues(8);
        }

        #endregion
    }
}